
Katello - Bug #24020

yum Update from satellite 6.3.1 to 6.4 failed at dependency resolution

06/20/2018 05:48 PM - Chris Roberts

Status: Closed   

Priority: Immediate   

Assignee: Chris Roberts   

Category: Installer   

Target version: Katello 3.7.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.4.5

Bugzilla link: 1592764 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/650

  

Description

Cloned from BZ:

Description of problem: Yum update on 6.3.1 failed at dependency resolution

--> Finished Dependency Resolution

Error: rh-mongodb34-mongodb-syspaths conflicts with mongodb-2.6.11-2.el7sat.x86_64

Error: rh-mongodb34-mongodb-server-syspaths conflicts with mongodb-server-2.6.11-2.el7sat.x86_64

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

1. yum repolist

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager

repo id                                           repo name                                                                                 status

rhel-7-server-extras-rpms/x86_64                  Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                            838

rhel-7-server-rpms/x86_64                         Red Hat Enterprise Linux 7 Server (RPMs)                                                  20,501

rhel-server-rhscl-7-rpms/x86_64                   Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server              

10,023

sat6                                              satellite 6                                                                                  369

sat6-maintenance                                  Satellite 6 Maintenance                                                                       14

1. yum whatprovides mongodb

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager

mongodb-2.6.11-2.el7sat.x86_64 : High-performance, schema-free document-oriented database

Repo        : @rhel-7-server-satellite-6.2-rpms

1. yum whatprovides mongodb-server

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager

mongodb-server-2.6.11-2.el7sat.x86_64 : MongoDB server, sharding server and support scripts

Repo        : @rhel-7-server-satellite-6.2-rpms

1. yum whatprovides rh-mongodb34-mongodb-syspaths

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager

rh-mongodb34-mongodb-syspaths-3.4.9-1.el7.x86_64 : Convenient wrappers for the rh-mongodb34-mongodb package;

replaces the mongodb package

Repo        : rhel-server-rhscl-7-rpms

Version-Release number of selected component (if applicable):

Satellite 6.4 snap 8

How reproducible: always

Steps to Reproduce:

1. yum update

Actual results:
Yum update failed

--> Finished Dependency Resolution

Error: rh-mongodb34-mongodb-syspaths conflicts with mongodb-2.6.11-2.el7sat.x86_64

Error: rh-mongodb34-mongodb-server-syspaths conflicts with mongodb-server-2.6.11-2.el7sat.x86_64

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

Expected results: Successful yum update.

Related issues:

Copied to Packaging - Bug #24021: yum Update from satellite 6.3.1 to 6.4 fail... Closed 06/20/2018

Associated revisions

Revision 87b00163 - 06/20/2018 08:11 PM - Chris Roberts

Fixes #24020 - Update MongoDB remove to install rh-mongodb34-syspaths

History

#1 - 06/20/2018 05:49 PM - Chris Roberts

- Copied to Bug #24021: yum Update from satellite 6.3.1 to 6.4 failed at dependency resolution added

#3 - 06/20/2018 06:02 PM - Jonathon Turel

- Priority changed from High to Immediate

- translation missing: en.field_release set to 338

#4 - 06/20/2018 07:22 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/650 added

#5 - 06/20/2018 09:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|87b001637a8274c6432e8d0f2af33ff67bee58e4.

#6 - 07/12/2018 02:58 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.4.5 added
